Subject: bug#12988: [PATCH] RE: bug#12988: isearch fails to persistentlyindicate case sensitivity

From: "Drew Adams" <[email-masked]>
Date: Fri, 30 Nov 2012 23:01:01 -0800

>     Isearch( *Aw_):
> 
> Have a fixed width string like that.  Characters/Glyphs in the bracket
> are basically all possible indicators or controls.  If a character is
> on, highlight that on.  There is also some control on where the space
> character goes.
> 
> One can even cycle through the glyphs and turn those switches 
> on/off one by one.

That's another interesting idea.  (Given the colon, I suppose you are talking
about using this in the prompt instead of the mode-line lighter.)